"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (services, sgContext) => {
    const result = {};
    for (const service of services) {
        if (result[service.name]) {
            throw new Error(`Service ${service.name} already define.`);
        }
        result[service.name] = new service();
        result[service.name].getSGContext = () => sgContext;
    }
    return result;
};
//# sourceMappingURL=buildServices.js.map