import { FragmentDefinitionNode, SelectionNode } from 'graphql';
export type Selection = {
    namedType?: string;
    name: string;
    selections?: Array<Selection>;
};
export default function parseSelections(fragments: {
    [key: string]: FragmentDefinitionNode;
}, selections?: ReadonlyArray<SelectionNode>, base?: {
    namedType: string;
}): Selection[];
