import { LRUMap } from 'lru_map';
import { SGCacheManager } from './SGCacheManager';
export declare class LruCacheManager extends SGCacheManager {
    cacheMap: LRUMap<string, any>;
    constructor(limit?: number);
    get(key: any): Promise<any>;
    set(key: any, value: any, expire: any): Promise<void>;
    del(pattern: any): Promise<number>;
}
