import { CountOptions, FindOptions } from 'sequelize';
import { SGModelCtrl } from '../../index';
export declare abstract class SGCacheManager {
    abstract get(key: string): Promise<any>;
    abstract set(key: string, value: any, expire?: number): Promise<void>;
    abstract del(pattern: string): Promise<number>;
    buildCacheKey(model: SGModelCtrl, method: string, options?: FindOptions | CountOptions): string;
}
