"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SGCacheManager = void 0;
const getIncludeModeNames_1 = __importDefault(require("./getIncludeModeNames"));
const getFindOptionsKey_1 = __importDefault(require("./getFindOptionsKey"));
class SGCacheManager {
    buildCacheKey(model, method, options) {
        options = options || {};
        const relateModelNames = [model.name, ...(0, getIncludeModeNames_1.default)(options)];
        return `${method}|${relateModelNames.join('|')}|${(0, getFindOptionsKey_1.default)(model, options)}`;
    }
}
exports.SGCacheManager = SGCacheManager;
//# sourceMappingURL=SGCacheManager.js.map