import { SGPluginConfig, SGPluginOptions } from '../index';
import { SGCacheManager } from './cache';
type CacheOptions = SGPluginOptions & {
    prefix?: string;
    cacheManager?: SGCacheManager;
    expire?: number;
};
declare module '../index' {
    interface SGPluginOptionsMap {
        cache?: CacheOptions;
    }
}
declare const _default: SGPluginConfig<CacheOptions>;
export default _default;
