"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const plugin_1 = __importDefault(require("../plugin"));
exports.default = (plugins) => {
    return [
        ...plugin_1.default.map((plugin) => {
            return Object.assign({}, plugin);
        }),
        ...plugins
    ].sort((p1, p2) => {
        const p1n = p1.priority || 0;
        const p2n = p2.priority || 0;
        if (p1n < p2n) {
            return 1;
        }
        else if (p1n > p2n) {
            return -1;
        }
        else {
            return 0;
        }
    });
};
//# sourceMappingURL=buildPlugins.js.map