import { GraphQLResolveInfo } from 'graphql';
import { Includeable, Order, OrderItem } from 'sequelize';
import { SGModel, SGModelCtrl } from '../../index';
export default function <M extends SGModel>(this: SGModelCtrl<M>, args: {
    attributes?: Array<string>;
    include?: Includeable | Includeable[];
    order?: Order;
    info?: GraphQLResolveInfo;
    path?: string;
    eagerHasMany?: boolean;
}): {
    include: Includeable | Includeable[];
    attributes: Array<string>;
    order: OrderItem[];
};
