"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = __importDefault(require("lodash"));
exports.default = (options) => {
    if (!options) {
        return [];
    }
    const ins = [];
    const addInclude = (include) => {
        if (Array.isArray(include)) {
            include.forEach((i) => addInclude(i));
        }
        else if (include) {
            const model = include.model;
            if (model) {
                ins.push(model.name);
            }
            addInclude(include.include);
        }
    };
    addInclude(options.include);
    return lodash_1.default.uniq(ins).sort();
};
//# sourceMappingURL=getIncludeModeNames.js.map